Skip to main content

Create Testimonial Wall

Create a testimonial wall in your workspace. The new testimonial wall is a draft.

Request​

POST /walls

Request Body​

ParameterTypeRequiredDescription
namestringYesTestimonial wall name (max 255 characters)

Example Request​

curl -X POST "https://app.easy.tools/api/v1/walls" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"name": "Customer stories"
}'

Response​

Success Response (201 Created)​

{
"data": {
"id": "2b7e9d14-6a83-4c50-8f16-5d3a1c9e7b42",
"slug": "customer-stories",
"name": "Customer stories",
"status": "draft",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z",
"published_at": null
}
}

Response Fields​

The created testimonial wall has the fields described in Testimonial Wall Object.

Error Responses​

Validation Error (422 Unprocessable Entity)​

{
"error": {
"code": "VALIDATION_ERROR",
"message": "The given data was invalid",
"details": {
"name": ["name should not be empty"]
}
}
}

Authentication, permission, and rate-limit errors are described in Authorization.